
 LinHES - Bug # 675: vdpinfo not installable in latest public release

Status: Closed Priority: Normal
Author: Human Category: Packages: Extra
Created: 03/31/2010 Assignee:
Updated: 04/01/2010 Due date:
Description: The vdpinfo package is hardwired to look for nvidia-utils 185.18.36, so it won't install, no matter how you 

answer the question below:

<pre>
[mythtv@dragon ~]$ sudo pacman -Sy vdpinfo
:: Synchronizing package databases...
 core is up to date
 extra is up to date
resolving dependencies...
warning: cannot resolve "nvidia-utils=185.18.36", a dependency of "vdpinfo"
:: the following package(s) cannot be upgraded due to unresolvable dependencies:
      vdpinfo  

Do you want to skip the above package(s) for this upgrade? [Y/n]
</pre>

History
03/31/2010 09:19 am - jams
use the pkg vdpauinfo

03/31/2010 07:00 pm - Human
I would like to keep the mplayer-resumer.pl code general enough to work on other platforms, and the standard seems to be to call the executable 
vdpinfo, as it had been.  I would recommend renaming the vdpauinfo package to vdpinfo, and making sure that the package for mplayer-resumer.pl 
requires vdpinfo.  That way, the resumer can work on all platforms that have vdpinfo.

Just to be clear, at the moment, nobody playing videos in LinHES is getting vdpau acceleration because of this.

03/31/2010 10:55 pm - mihanson
vdpinfo was renamed to vdpauinfo to match libvdpau naming.  We can probably change the PKGBUILD to include a replaces array (with 'vdpinfo' being 
the sole member) and then create a symlink called vdpinfo.

See here as well: http://www.nvnews.net/vbulletin/showthread.php?t=138880

04/01/2010 07:38 am - nharris
Bob,

Who still uses vdpinfo?  nVidia changed this many months ago. 

-Nathan

edit: forgot the links
http://lists.freedesktop.org/archives/xorg-announce/2009-September/001037.html
http://www.nvnews.net/vbulletin/showthread.php?t=138880

04/01/2010 09:16 am - Human
Ok, if vdpauinfo is the new spelling (looks like the utility v0.0.6 and newer is vdpauinfo; v0.0.5 and older is vdpinfo) then I'll change the wrapper to 
comply and use the new spelling.
04/01/2010 10:29 am - mihanson
- Status changed from New to Closed
